## publib 0.20

=== liw/alloc/Makefile ===
objs =  memdup.o \
	xmalloc.o \
	xrealloc.o \
	xfree.o \
	xstrdup.o \
	xmemdup.o \
	dynarr.o
include $(fwdir)/Generic.mk

$(objs): alloc.h

=== liw/cfg/Makefile ===
objs = cfg.o
testprogs = test-cfg
include $(fwdir)/Generic.mk

test-cfg: test-cfg.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ test-cfg.o $(libname) -lm -lc
test-cfg.o: cfg.h
$(objs): cfg.c cfg.h

=== liw/files/Makefile ===
objs =  xgetaline.o \
	xfseek.o \
	xfopen.o \
	xfclose.o \
	getaline.o \
	fassert.o
include $(fwdir)/Generic.mk

$(objs): files.h

=== liw/hash/Makefile ===
objs =  hash_create.o \
	hash_destroy.o \
	hash_install.o \
	hash_lookup.o \
	hash_uninstall.o \
	hash_iter.o
testprogs = 
include $(fwdir)/Generic.mk

$(objs): hash.h

=== liw/publibdoc/Makefile ===
include $(objdir)/Rules.mk
all tests pre-install post-install:
	@true
install: 
	$(INSTALL_MAN) $(srcdir)/publib.3 $(man3dir)/publib.$(man3ext)

=== liw/sbuf/Makefile ===
objs = sbuf.o sbuf_aux.o sbuf_srch.o
testprogs = test-sbuf
include $(fwdir)/Generic.mk

test-sbuf: test-sbuf.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ $(objdir)/test-sbuf.o \
		$(libname)

test-sbuf.o: sbuf.h 
$(objs): sbuf.h

## publib 0.28

=== liw/bitarr/Makefile ===
objs =  ba_and_ba.o \
	ba_clear.o \
	ba_clear_all.o \
	ba_copy.o \
	ba_create.o \
	ba_destroy.o \
	ba_not.o \
	ba_or_ba.o \
	ba_or_not_ba.o \
	ba_query.o \
	ba_resize.o \
	ba_set.o \
	ba_xor_ba.o
include $(fwdir)/Generic.mk

$(objs): bitarr.h

=== liw/cfgtool/Makefile ===
objs = cfgtool_lock.o cfgtool_repo.o cfgtool_var.o
include $(fwdir)/Generic.mk

$(objs): cfgtool.h

=== liw/cmp/Makefile ===
objs = cmp.o
include $(fwdir)/Generic.mk

$(objs): cmp.h

=== liw/expr/Makefile ===
objs =  expr_compile.o \
	expr_eval.o \
	expr_free.o \
	expr_run.o
testprogs = test_expr
include $(fwdir)/Generic.mk

test_expr: test_expr.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test_expr.o $(libname) -lm

test_expr.o: expr.h 
$(objs): expr.h

=== liw/files/Makefile ===
objs =  xgetaline.o \
	xfseek.o \
	xfopen.o \
	xfclose.o \
	getaline.o \
	fassert.o \
	file_io.o
include $(fwdir)/Generic.mk

$(objs): files.h

=== liw/fname/Makefile ===
objs =  fnbase.o \
	fndelbeg.o \
	fndelend.o \
	fndelsuf.o \
	fndir.o \
	fnhome.o \
	fnjoin.o \
	fnlastsuf.o \
	fnpathfind.o \
	fnqualify.o \
	fnsetsuf.o
testprogs = test_fnqualify
include $(fwdir)/Generic.mk

test_fnqualify: test_fnqualify.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test_fnqualify.o $(libname)

test_fnqualify.o: fname.h
$(objs): fname.h

=== liw/log/Makefile ===
objs = log.o
testprogs = test-log
include $(fwdir)/Generic.mk

test-log: test-log.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test-log.o $(libname)

test-log.o: log.h
$(objs): log.h

=== liw/lsm/Makefile ===
objs = lsm_init_entry.o lsm_read_entry.o lsm_error.o lsm_get_line.o \
	lsm_check_entry.o lsm_clear_entry.o lsm_format_entry.o
include $(fwdir)/Generic.mk

$(objs): lsm.h

=== liw/priq/Makefile ===
objs = priq.o
testprogs = test-priq
include $(fwdir)/Generic.mk

test-priq: test-priq.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test-priq.o $(libname)
test-priq.o: priq.h
$(objs): priq.h

=== liw/queue/Makefile ===
objs = queue.o
testprogs = test-queue
include $(fwdir)/Generic.mk

test-queue: test-queue.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test-queue.o $(libname)
test-queue.o: queue.h
$(objs): queue.h

=== debian/changelog ===
publib (0.28) unstable; urgency=low

  * No longer compresses /usr/doc/publib-dev/copyright. (Fixes bug #14504.)
  * Moved upstream changelog to debian/changelog (this file).
  * Compresses manual pages.
  * Changes section manual pages on the .TH line to 3pub.  This fixes
    bug #8415.
  * Updated to conform to Debian Policy Manual 2.4.0.0.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 13 Mar 1998 15:55:54 +0200

publib (0.27) unstable; urgency=low

  * Re-compiled for libc6.
  * Changes to liw/sbuf, liw/log, and liw/cfg in the upstream version.
  * Removed Debian version from version number (but didn't combine upstream
    changelog with Debian changelog).

 -- Lars Wirzenius <liw@iki.fi>  Tue, 11 Nov 1997 04:37:02 +0200

publib (0.26-1) unstable; urgency=low

  * New upstream release that only fixes bugs.
  * Fixes bug #8228: adds one missing #include, and removes an extra one.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 27 Apr 1997 03:02:43 +0300

publib (0.25-1) unstable; urgency=low

  * New upstream release; mostly just bug fixes.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 28 Dec 1996 00:50:15 +0200

publib (0.24-1) unstable; urgency=low

  * New upstream release with important changes in sbuf and cfgtool.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 5 Dec 1996 11:27:41 +0200

publib (0.23-1) unstable; urgency=low

  * New upstream release (read Changes).
  * Minor tweaking to debian/rules.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 6 Nov 1996 20:04:02 +0200

publib (0.22-1) unstable; urgency=low

  * New upstream release (read Changes).
  * Added debian/* to upstream sources.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 5 Nov 1996 23:55:00 +0200

publib (0.21-1) unstable; urgency=low

  * New upstream release (mostly just changes in the sbuf module).

 -- Lars Wirzenius <liw@iki.fi>  Mon, 4 Nov 1996 19:31:04 +0200

publib (0.20-1) unstable; urgency=low

  * First release.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 22 Sep 1996 02:47:04 +0300

=== debian/control ===
Source: publib
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: devel
Priority: optional
Standards-Version: 2.4.0.0

Package: publib-dev
Architecture: any
Description: C function library
 Publib is a library of C functions for various purposes. It has
 been written so that it is easy to extend. It's build tools can
 easily be used for other libraries, but that isn't relevant for
 the Debian pre-packaged version.
 .
 The library contains functions for memory allocation, bit arrays,
 configuration files, comparing standard C types for qsort and
 bsearch, error messages, expression parsing and evaluation,
 filenames, hash tables, integer sets, log files, the Linux Software
 Map, NNTP, priority queues, normal queues, editor buffers, stacks,
 and strings.

=== debian/rules ===
#!/usr/bin/make -f

package=publib-dev

build: debian/objs debian/objs/Makefile
	cd debian/objs && $(MAKE) --no-print-dir

binary: binary-arch binary-indep

binary-arch: checkroot debian/objs
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/include
	install -d debian/tmp/usr/lib
	install -d debian/tmp/usr/man 
	install -d debian/tmp/usr/man/man3
	cd debian/objs && $(MAKE) --no-print-dir man3ext=3pub install
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp framework/README debian/tmp/usr/doc/$(package)/README
	cp framework/Blurb debian/tmp/usr/doc/$(package)/Blurb
	gzip -9 debian/tmp/usr/doc/$(package)/*
	gunzip debian/tmp/usr/doc/$(package)/copyright
	set -e; find debian/tmp/usr/man -type f | \
		while read file; do \
		   sed 's/^\.TH [A-Z0-9]* [0-9]/&pub/' $$file > $$file.new; \
		    mv $$file.new $$file; done
	gzip -9 debian/tmp/usr/man/man3/*
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
	dpkg --build debian/tmp ..

binary-indep:

clean:
	rm -rf debian/objs
	rm -rf debian/tmp

checkroot:
	test root = "`whoami`"

debian/objs:
	mkdir debian/objs

debian/objs/Makefile:
	cd debian/objs && \
		cp ../Default.config . && \
		../../framework/configure

## publib 0.31

=== debian/changelog ===
publib (0.31) unstable; urgency=low

  * liw/errormsg/errormsg.c: Treat "" same as NULL for the program name.
    Suggestion sent by Gary Kline <kline@tao.thought.org>.
  * This recompile should also fix dwww related problems (closes:
    Bug #45092).

 -- Lars Wirzenius <liw@iki.fi>  Sun, 19 Sep 1999 19:14:04 +0300

publib (0.30) unstable; urgency=low

  * framework/Makefile.in: Add C++ wrappers in the generated header;
    if the module headers are to be included directly, they need to add
    the wrappers themselves.

 -- Lars Wirzenius <liw@iki.fi>  Mon,  8 Feb 1999 17:55:41 +0200

publib (0.29) unstable; urgency=low

  * Added tbuf module. Not working yet, however.
  * Changed name of changelog in /usr/log.
  * liw/alloc/alloc.h: Removed prototype for strdup. It isn't included 
    in publib, anyway. Fixes bug #31977, although differently than the
    suggested patch in the bug report. Also #29887 and #22561.
  * liw/sbuf: Added code to log the size and position of changes, triggered
    by macro SBUF_LOG. This is needed for optimizing, and is not turned on
    in the release versions.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 25 Jan 1999 15:35:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	install -d debian/tmp/usr/man/man3
 	cd debian/objs && $(MAKE) --no-print-dir man3ext=3pub install
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
 	cp framework/README debian/tmp/usr/doc/$(package)/README
 	cp framework/Blurb debian/tmp/usr/doc/$(package)/Blurb
 	gzip -9 debian/tmp/usr/doc/$(package)/*

## publib 0.39

=== framework/Template/Makefile ===
objs = xxx.o
testprogs = xxxtest
include $(fwdir)/Generic.mk

xxxtest: xxxtest.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ xxxtest.o $(libname)
xxxtest.o: xxx.h
$(objs): xxx.h

=== liw/base64/Makefile ===
objs = base64.o
include $(fwdir)/Generic.mk

$(objs): base64.h

=== liw/errormsg/Makefile ===
objs = errormsg.o
include $(fwdir)/Generic.mk

$(objs): errormsg.h

=== liw/iset/Makefile ===
objs =  iset_add.o \
	iset_add_rng.o \
	iset_clear.o \
	iset_contains.o \
	iset_copy.o \
	iset_create.o \
	iset_destroy.o \
	iset_diff.o \
	iset_is_empty.o \
	iset_isect.o \
	iset_nth_rng.o \
	iset_range.o \
	iset_remove.o \
	iset_rm_rng.o \
	iset_union.o 
testprogs = test_add
include $(fwdir)/Generic.mk

test_add: test_add.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test_add.o $(libname)

test_add.o: iset.h
$(objs): iset.h

=== liw/lockfile/Makefile ===
objs = lockfile.o
include $(fwdir)/Generic.mk

$(objs): lockfile.h

=== liw/main/Makefile ===
objs = main_filter.o
testprogs = test-main-filter
include $(fwdir)/Generic.mk

test-main-filter: test-main-filter.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ test-main-filter.o $(libname) -lc
test-main-filter.o: main.h
$(objs): main.h

=== liw/nntp/Makefile ===
objs = nntp.o nntpart.o
testprogs = 
include $(fwdir)/Generic.mk

xxxtest: xxxtest.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ xxxtest.o $(libname)
xxxtest.o: nntp.h
$(objs): nntp.h

=== liw/publibdoc/Makefile ===
include $(objdir)/Rules.mk
all tests pre-install post-install:
	@true
install: 
	$(INSTALL) -d "$(man3dir)"
	$(INSTALL_MAN) $(srcdir)/publib.3 $(man3dir)/publib.$(man3ext)
	gzip -9f $(man3dir)/publib.$(man3ext)

=== liw/sbuf/Makefile ===
objs = sbuf.o sbuf_aux.o sbuf_srch.o sbuf_io.o
testprogs = test-sbuf test-colmark test-sbuf-undo
include $(fwdir)/Generic.mk

test-sbuf: test-sbuf.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ $(objdir)/test-sbuf.o \
		$(libname)

test-sbuf-undo: test-sbuf-undo.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ $(objdir)/test-sbuf-undo.o \
		$(libname)

test-colmark: test-colmark.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ $(objdir)/test-colmark.o \
		$(libname)

test-sbuf.o test-sbuf-undo.o test-colmark.o: sbuf.h 
$(objs): sbuf.h

=== liw/stack/Makefile ===
objs =  stack_copy.o \
	stack_create.o \
	stack_destroy.o \
	stack_emptyp.o \
	stack_pop.o \
	stack_push.o
include $(fwdir)/Generic.mk

$(objs): stack.h

=== liw/strutil/Makefile ===
objs =  memarrfill.o	\
	memdel.o	\
	memfill.o	\
	memins.o	\
	memisort.o	\
	memmem.o	\
	memoverlap.o	\
	memrchr.o	\
	memrev.o	\
	memrmem.o	\
	memshuffle.o	\
	memswap.o	\
	stracat.o	\
	stranaxfrm.o	\
	strchange.o	\
	strcins.o	\
	strcstr.o	\
	strdel.o	\
	strdiff.o	\
	strend.o	\
	strendzap.o	\
	strgsub.o	\
	strhash.o	\
	strinit.o	\
	strins.o	\
	strltrim.o	\
	strmaxcpy.o	\
	strmove.o	\
	strmtrim.o	\
	strndup.o	\
	strnins.o	\
	strnlen.o	\
	stroverlap.o	\
	strrev.o	\
	strright.o	\
	strrot13.o	\
	strrstr.o	\
	strrtrim.o	\
	strset.o	\
	strshuffle.o	\
	strsplit.o	\
	strsub.o	\
	strtabify.o	\
	strtrexpand.o	\
	strtrim.o	\
	struncstr.o	\
	struntabify.o	\
	strvars.o	\
	strzap.o	

testprogs = 
include $(fwdir)/Generic.mk

$(objs): strutil.h

=== liw/tbuf/Makefile ===
objs = tbuf.o
testprogs = test_tbuf test_tbuf_with_stats
include $(fwdir)/Generic.mk

test_tbuf: test_tbuf.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ $(objdir)/test_tbuf.o \
		$(libname) $(LIBS)

test_tbuf_with_stats: test_tbuf_with_stats.o $(libname)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(objdir)/$@ \
		$(objdir)/test_tbuf_with_stats.o $(libname) $(LIBS)

test_tbuf.o: tbuf.h 
$(objs): tbuf.h

## publib 0.40

=== debian/changelog ===
publib (0.40-4) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Dr. Tobias Quathamer ]
  * Use dh compat 13
  * Update Standards-Version to 4.7.0, no changes needed
  * Use wrap-and-sort -at

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Apr 2024 22:20:14 +0200

publib (0.40-3) unstable; urgency=medium

  * QA upload.
  * Build package with -fPIC CFLAG (Closes: 804254)
  * Reformat and fix VCS URL in d/control with cme

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Sep 2016 20:42:51 +0200

publib (0.40-2) unstable; urgency=high

  * QA upload:
    - maintainer set to Debian QA Group;
    - git packaging moved to the collab-maint project.
  * Introduced the following patches:
    - 001-Remove-strndup.patch to fix FTBFS on current gcc and glibc
      by removing declaration of strndup() function together with its
      implementation and man page (closes: #790273);
    - 0002-Fix-undefined-behavior-warning.patch to fix an off-by-one
      bug in base64 decoder resulting in an undefined behavior warning
      given by gcc-5;
    - 0003-Remove-Makefile-at-distclean.patch to make sure the generated
      Makefile is dropped, so that sequential builds do not fail;
    - 0004-Fix-spelling-errors-in-manpages.patch to fix spelling typos
      in `occurrence' and `occurred' words, noticed by lintian.
      in `occurrence' and `occurred' words, noticed by lintian;
    - 0005-Pass-LDFLAGS-to-test-programs.patch to use $(LDFLAGS) while
      linking test programs.
  * Mark the binary package as `Multi-Arch: same'.
  * Bump Standards-Version to 3.9.6 (no other changes needed).

 -- Robert Luberda <robert@debian.org>  Tue, 19 Jan 2016 23:18:43 +0100

publib (0.40-1) unstable; urgency=low

  * New upstream release.  Noteworthy changes:
    - man/hash.3: Fixes, mainly for hash_iter.
      Closes: #367003, reported by Peter T. Breuer.
    - man/strinit.3: Use the correct escape sequence for backslashes.
  * Delete patch 0001-strinit.3-Use-the-correct... (fixed upstream)
  * debian/rules: Switch to dh
  * debian/docs: Update to match upstream changes.
  * debian/copyright: Update, and use copyright-format/1.0

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 19 Jun 2012 00:16:53 +0300

publib (0.39-4) unstable; urgency=low

  * [8bb1c9e] debian/control: Add ${misc:Depends}
  * [0df1f7c] Update debhelper compat level to 9.
     - Use dh_prep in place of dh_clean -k
  * [5ee29d2] debian/rules: Provide build-arch and build-indep.
  * [d4d6f2a] Convert to Debian source format 3.0 (quilt)
  * [8fc04cd] Add patch 0001-strinit.3-Use-the-correct-escape-for-backslashes
  * [98ff281] Update Standards-Version to 3.9.3 (no other changes needed).
  * [c92f04e] Get CFLAGS et al from dpkg-buildflags

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 16 Jun 2012 17:11:32 +0300

publib (0.39-3.1) unstable; urgency=low

  * NMU on maintainer's request.
  * Re-add man pages (closes: #441963).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Mar 2008 19:28:22 +0100

publib (0.39-3) unstable; urgency=low

  * New maintainer 
    Closes: #390744 (ITA: publib -- library of miscellaneous C functions)
  * Note: liw released 0.39-2 on 2 Oct 2006, despite the changelog tagline date
  * debian/control [Standards-Version]: 3.7.2, no changes required.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue,  3 Oct 2006 23:01:04 +0300

publib (0.39-2) unstable; urgency=low

  * Orphaning.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 12 Mar 2006 12:08:21 +0200

publib (0.39-1) unstable; urgency=low

  * New upstream version.
      - strsplit is fixed, thanks to suggestion from Ron Fox.
        Closes: #354750.
      - cfgtool routines are removed, but they haven't been used by
        anything for a decade, so no-one should have to worry
  * debian/control: Bumped Standards-Version to 3.6.2, no other changes
    necessary.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 12 Mar 2006 12:08:21 +0200

publib (0.38-2) unstable; urgency=low

  * Updated the package description. Closes: #268540, #277236.
  * Added patch for cross building, by NIIBE Yutaka. Closes: #285428.
  * Removed build depdency on autoconf.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 19 Jan 2005 18:36:00 +0300

publib (0.38-1) unstable; urgency=low

  * New upstream version: Changed a Bash shell function to a Posix shell 
    function ("function foo {" to "foo() {" (closes: #264048).

 -- Lars Wirzenius <liw@iki.fi>  Sat,  7 Aug 2004 01:20:00 +0300

publib (0.37-1) unstable; urgency=low

  * New upstream release to remove modules that won't compile 
    (closes: #258992).

 -- Lars Wirzenius <liw@iki.fi>  Thu,  5 Aug 2004 11:20:00 +0300

publib (0.36-1) unstable; urgency=low

  * New upstream release to fix struncstr's handling of three
    digit octal escapes (closes: #246816).

 -- Lars Wirzenius <liw@iki.fi>  Sun, 11 Jul 2004 13:23:00 +0300

publib (0.35-3) unstable; urgency=low

  * debian/control: Set section to be libdevel, instead of devel.
    Forgot to do this in -2. I'm a klutz and a nincompoop.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 16 Nov 2003 22:32:04 +0200

publib (0.35-2) unstable; urgency=low

  * debian/control: Build dependency on autoconf was missing, added.
    (closes: #220967)
  * liw/cfg/configure, liw/lsm/configure: Generated. They're missing
    in the upstream sources as well, but I don't want to make an
    upstream release just for this, so I fix it in the Debian version.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 16 Nov 2003 22:23:02 +0200

publib (0.35-1) unstable; urgency=low

  * New upstream release. Fixes:
    - base64 broken on little-endian machines (closes: #197039)

 -- Lars Wirzenius <liw@iki.fi>  Sat, 15 Nov 2003 20:28:19 +0200

publib (0.34-2) unstable; urgency=low

  * Taking over package maintainership again, with permission from
    Antti-Juhani.
  * debian/control: Standards version updated to 3.5.8.0. No other changes
    were necessary, as far as I could see.



=== debian/control ===
Source: publib
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/publib
Vcs-Git: https://salsa.debian.org/debian/publib.git

Package: publib-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
Pre-Depends: ${misc:PreDepends},
Description: library of miscellaneous C functions
 This library contains functions for memory allocation, bit arrays,
 comparing standard C types for qsort and bsearch, error messages,
 filenames, hash tables, integer sets, log files, NNTP, priority queues,
 normal queues, editor buffers, stacks, and strings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fPIC

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- man3ext=.3pub
	find debian/publib-dev/usr/share/man -type f -name '*.gz' \
	    -exec gunzip {} +
	set -e; find debian/publib-dev/usr/share/man -type f | \
	  while read file; do \
	    sed 's/^\.TH [_A-Z0-9]* [0-9]/&pub/' $$file > $$file.new; \
	    mv $$file.new $$file; done
	find debian/publib-dev/usr/share/man -type f  -exec gzip --best {} +
